From 5cc486ccef2f34fc89b2a7f522fb57a9258b36f1 Mon Sep 17 00:00:00 2001
From: Nathan Bossart <bossartn@amazon.com>
Date: Mon, 29 Nov 2021 19:53:00 +0000
Subject: [PATCH v1 1/1] Improve CREATE EXTENSION error message.

---
 src/backend/commands/extension.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/backend/commands/extension.c b/src/backend/commands/extension.c
index eaa76af47b..4604b01ac9 100644
--- a/src/backend/commands/extension.c
+++ b/src/backend/commands/extension.c
@@ -496,7 +496,9 @@ parse_extension_control_file(ExtensionControlFile *control,
 		ereport(ERROR,
 				(errcode_for_file_access(),
 				 errmsg("could not open extension control file \"%s\": %m",
-						filename)));
+						filename),
+				 errhint("This typically indicates that the specified "
+						 "extension is not installed on the system.")));
 	}
 
 	/*
-- 
2.16.6

